Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxAtmTypes.h File Reference This file contains Atm types common to a number of Atm components. More... Go to the source code of this file.
## Data Structures
struct | IxAtmScheduleTable
| This structure defines a schedule table which gives details on which data (from which VCs) should be transmitted for a forthcoming period of time for a particular port and the order in which that data should be transmitted. More...
struct | IxAtmScheduleTableEntry
| ATM Schedule Table entry. More...
struct | IxAtmTrafficDescriptor
| Structure describing an ATM traffic contract for a Virtual Connection (VC). More...
## Defines
#define | IX_ATM_CELL_PAYLOAD_SIZE
| Size of a ATM cell payload.
#define | IX_ATM_CELL_SIZE
| Size of a ATM cell, including header.
#define | IX_ATM_CELL_SIZE_NO_HEC
| Size of a ATM cell, excluding HEC byte.
#define | IX_ATM_OAM_CELL_SIZE_NO_HEC
| Size of a OAM cell, excluding HEC byte.
#define | IX_ATM_AAL0_48_CELL_PAYLOAD_SIZE
| Size of a AAL0 48 Cell payload.
#define | IX_ATM_AAL5_CELL_PAYLOAD_SIZE
| Size of a AAL5 Cell payload.
#define | IX_ATM_AAL0_52_CELL_SIZE_NO_HEC
| Size of a AAL0 52 Cell, excluding HEC byte.
#define | IX_ATM_MAX_VPI
| Maximum value of an ATM VPI.
#define | IX_ATM_MAX_VCI
| Maximum value of an ATM VCI.
#define | IX_ATM_MAX_NUM_AAL_VCS
| Maximum number of active AAL5/AAL0 VCs in the system.
#define | IX_ATM_MAX_NUM_VC
| Maximum number of active AAL5/AAL0 VCs in the system The use of this macro is depreciated, it is retained for backward compatiblity. For current software release and beyond the define IX_ATM_MAX_NUM_AAL_VC should be used.
#define | IX_ATM_MAX_NUM_OAM_TX_VCS
| Maximum number of active OAM Tx VCs in the system, 1 OAM VC per port.
#define | IX_ATM_MAX_NUM_OAM_RX_VCS
| Maximum number of active OAM Rx VCs in the system, 1 OAM VC shared accross all ports.
#define | IX_ATM_MAX_NUM_AAL_OAM_TX_VCS
| Maximum number of active AAL5/AAL0/OAM Tx VCs in the system.
#define | IX_ATM_MAX_NUM_AAL_OAM_RX_VCS
| Maximum number of active AAL5/AAL0/OAM Rx VCs in the system.
#define | IX_ATM_IDLE_CELLS_CONNID
| VC Id used to indicate idle cells in the returned schedule table.
#define | IX_ATM_CELL_HEADER_VCI_GET(cellHeader)
| get the VCI field from a cell header
#define | IX_ATM_CELL_HEADER_VPI_GET(cellHeader)
| get the VPI field from a cell header
#define | IX_ATM_CELL_HEADER_PTI_GET(cellHeader)
| get the PTI field from a cell header
## Typedefs
typedef unsigned int | IxAtmCellHeader
| ATM Cell Header, does not contain 4 byte HEC, added by NPE-A.
typedef unsigned int | IxAtmConnId
| ATM VC data connection identifier.
typedef int | IxAtmSchedulerVcId
| ATM VC scheduling connection identifier.
typedef unsigned int | IxAtmNpeRxVcId
| ATM Rx VC identifier used by the ATM Npe.
## Enumerations
enum | IxAtmLogicalPort { IX_UTOPIA_PORT_0, IX_UTOPIA_PORT_1, IX_UTOPIA_PORT_2, IX_UTOPIA_PORT_3, IX_UTOPIA_PORT_4, IX_UTOPIA_PORT_5, IX_UTOPIA_PORT_6, IX_UTOPIA_PORT_7, IX_UTOPIA_PORT_8, IX_UTOPIA_PORT_9, IX_UTOPIA_PORT_10, IX_UTOPIA_PORT_11, IX_UTOPIA_MAX_PORTS }
| Logical Port Definitions :. More...
enum | IxAtmServiceCategory { IX_ATM_CBR, IX_ATM_RTVBR, IX_ATM_VBR, IX_ATM_UBR, IX_ATM_ABR }
| Enumerated type representing available ATM service categories. For more informatoin on these categories, see "Traffic Management Specification" v4.1, published by the ATM Forum - http://www.atmforum.com. More...
enum | IxAtmRxQueueId { IX_ATM_RX_A, IX_ATM_RX_B, IX_ATM_MAX_RX_STREAMS }
| Rx Queue Type for RX traffic. More...
## Detailed Description This file contains Atm types common to a number of Atm components. Date: 24-MAR-2002 Version: Revision 1.27 -- Intel Copyright Notice -- Copyright 2002-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file IxAtmTypes.h.
Automatically generated from sources. © Intel Corp. 2003